Bug 1032314 - Maven Client should be able to read iso8859-1 .pot files
Maven Client should be able to read iso8859-1 .pot files
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 19:28 EST by Ding-Yi Chen
Modified: 2015-07-28 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:48:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample files that trigger this bug (1.46 KB, text/plain)
2013-11-19 19:28 EST, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2013-11-19 19:28:30 EST
Created attachment 826363 [details]
Sample files that trigger this bug

Description of problem:
There are many gettext projects produce .pot file with charset iso8859-1.

Version-Release number of selected component (if applicable):
zanata-maven-plugin-3.1.2

How reproducible:
Always

Steps to Reproduce:
1. Create project gcc, ver master, project type gettext
2. push libstdc++.pot 


Actual results:
unsupported charset in Content-Type: text/plain; charset=ISO-8859-1

Expected results:
Push successfully

Additional info:
Comment 1 Ding-Yi Chen 2013-11-19 19:48:43 EST
Bug 748727 shows how python client handle this.
Comment 2 Ding-Yi Chen 2015-03-22 21:42:54 EDT
Bug confirmed with zanata-maven-plugin-3.4.2
Comment 3 Zanata Migrator 2015-07-28 22:48:25 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-205

Note You need to log in before you can comment on or make changes to this bug.